---
apiVersion: v1
kind: Namespace
metadata:
  name: mw-debug

---
apiVersion: v1
kind: Namespace
metadata:
  name: mw-web

---
kind: ClusterRole
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: mwdebug-role
rules:
- apiGroups: ["*"]
  resources: ["*"]
  verbs: ["*"]

---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: mwdebug-rolebinding
  namespace: mw-debug
subjects:
- kind: User
  name: mwdebug
roleRef:
  kind: ClusterRole
  name: mwdebug-role
  apiGroup: "rbac.authorization.k8s.io"

---
kind: RoleBinding
apiVersion: rbac.authorization.k8s.io/v1
metadata:
  name: mwdebug-rolebinding
  namespace: mw-web
subjects:
- kind: User
  name: mwdebug
roleRef:
  kind: ClusterRole
  name: mwdebug-role
  apiGroup: "rbac.authorization.k8s.io"
